<h1>Login</h1>
<%- errors.length > 0 ? include("../Shared/_Error", {errors: errors}) : null %>

<% if (process.env.IS_LOCAL_AUTHENTICATION == 1) { %>
<form class="form-group" action="/Account/Login/Local" method="POST">
    <div class="form-group">
        <label for="username" class="bmd-label-floating">Username</label>
        <input class="form-control" type="text" name="username" id="username" />
    </div>
    <div class="form-group">
        <label for="password" class="bmd-label-floating">Password</label>
        <input class="form-control" type="password" name="password" id="password" />
    </div>

    <button class="btn btn-raised btn-primary" type="submit" id="local-login">
        <i class="fas fa-sign-in-alt"></i>
        Login
    </button>
    <a class="btn btn-raised btn-primary" href="/Account/Register" id="local-registration">
        <i class="fas fa-user-edit"></i>
        Register
    </a>
</form>
<% } %>

<% if (process.env.IS_GOOGLE_AUTHENTICATION == 1) { %>
    <a class="btn btn-raised btn-danger" href="/Account/Login/Google" id="google-login">
        <i class="fab fa-google"></i>
        Login with Google
    </a>
<% } %>

<% if (process.env.IS_FACEBOOK_AUTHENTICATION == 1) { %>
    <a class="btn btn-raised btn-secondary" href="/Account/Login/Facebook" id="facebook-login">
        <i class="fab fa-facebook-square"></i>
        Login with Facebook
    </a>
<% } %>

<% if (process.env.IS_TWITTER_AUTHENTICATION == 1) { %>
    <a class="btn btn-raised btn-info" href="/Account/Login/Twitter" id="twitter-login">
        <i class="fab fa-twitter"></i>
        Login with Twitter
    </a>
<% } %>